"""AnsjerPush URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path
from Controller import DetectController, ShadowController, TestDetectController, EquipmentInfo, DetectControllerV2, \
    AiController, TestController, gatewayController
from django.conf.urls import url

from Controller.ComboCron import ComboCronPushController

urlpatterns = [
    path('admin/', admin.site.urls),
    path('notify/push', DetectController.NotificationView.as_view()),
    path('notifyV2/push', DetectControllerV2.NotificationView.as_view()),
    path('notifyV2/powerWarningPush', DetectControllerV2.PWnotificationView.as_view()),
    path('deviceShadow/update', ShadowController.update_device_shadow),
    path('deviceShadow/generateUTK', ShadowController.generate_utk),
    path('test/notify/push', TestDetectController.NotificationView.as_view()),
    path('eq/del', EquipmentInfo.deleteExpireEquipmentInfo),
    path('push/healthCheck', EquipmentInfo.healthCheck),
    path('notifyV2/push', DetectControllerV2.NotificationView.as_view()),
    url(r'^notifyV2/(?P<operation>.*)$', DetectControllerV2.NotificationView.as_view()),
    url(r'^AiService/(?P<operation>.*)$', AiController.AiView.as_view()),
    url(r'^gatewayService/(?P<operation>.*)$', gatewayController.GatewayView.as_view()),

    url('testDetect/testJpush', TestController.testDetect),
    url('testDetect/testApns', TestController.testDetectApns),
    url('unicom/device/combo/(?P<operation>.*)$', ComboCronPushController.ComboCronPushView.as_view())
]
